# GCC_RegistryItem Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_channelID, e_tokenID, e_parameter, e_vacant }

## Public Member Functions

| GCC_RegistryItem (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_DynamicChannelID & ()
| operator const GCC_DynamicChannelID & () const
| operator GCC_DynamicTokenID & ()
| operator const GCC_DynamicTokenID & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RegistryItem::Choices

Enumerator:

  e_channelID |
  e_tokenID |
  e_parameter |
  e_vacant |

## Constructor & Destructor Documentation

GCC_RegistryItem::GCC_RegistryItem | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RegistryItem::operator GCC_DynamicChannelID & | ( |  | ) |

GCC_RegistryItem::operator const GCC_DynamicChannelID & | ( |  | ) | const

GCC_RegistryItem::operator GCC_DynamicTokenID & | ( |  | ) |

GCC_RegistryItem::operator const GCC_DynamicTokenID & | ( |  | ) | const

PBoolean GCC_RegistryItem::CreateObject | ( |  | ) |

PObject* GCC_RegistryItem::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h